Anexar arquivo a uma tarefa (multipart/form-data, campo file)
curl --request POST \
--url https://api.juridiq.com.br/file/tasks/{id} \
--header 'x-juridiq-api-key: <api-key>'import requests
url = "https://api.juridiq.com.br/file/tasks/{id}"
headers = {"x-juridiq-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-juridiq-api-key': '<api-key>'}};
fetch('https://api.juridiq.com.br/file/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"previewUrl": "<string>",
"downloadUrl": "<string>",
"size": "<string>",
"type": {
"extension": "<string>",
"formatted": "<string>"
},
"createdAt": "<string>",
"id": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Files
Anexar arquivo a uma tarefa (multipart/form-data, campo file)
POST
/
file
/
tasks
/
{id}
Anexar arquivo a uma tarefa (multipart/form-data, campo file)
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-juridiq-api-key.
Path Parameters
ID da entidade (processo, cliente ou tarefa)
Response
Default Response
Nome do arquivo
URL temporária para visualização
URL temporária para download
Tamanho formatado
Show child attributes
Show child attributes
Data de criação formatada
ID interno do arquivo (quando existir no banco)
⌘I

